import { OnChanges, SimpleChanges } from '@angular/core';
import { CircularProgressbarStyles } from '../types';
import * as i0 from "@angular/core";
export declare class NgCircularProgressbarComponent implements OnChanges {
    value: number;
    background: boolean;
    backgroundPadding: number;
    circleRatio: number;
    classes: {
        root: string;
        trail: string;
        path: string;
        text: string;
        background: string;
    };
    counterClockwise: boolean;
    className: string;
    maxValue: number;
    minValue: number;
    strokeWidth: number;
    styles: CircularProgressbarStyles;
    text: string;
    pathRadius: number;
    pathRatio: number;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    get VIEWBOX(): string;
    get VIEWBOX_CENTER_X(): number;
    get VIEWBOX_CENTER_Y(): number;
    get VIEWBOX_HEIGHT_HALF(): number;
    private getBackgroundPadding;
    private getPathRadius;
    private getPathRatio;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgCircularProgressbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgCircularProgressbarComponent, "ng-circular-progressbar", never, { "value": "value"; "background": "background"; "backgroundPadding": "backgroundPadding"; "circleRatio": "circleRatio"; "classes": "classes"; "counterClockwise": "counterClockwise"; "className": "className"; "maxValue": "maxValue"; "minValue": "minValue"; "strokeWidth": "strokeWidth"; "styles": "styles"; "text": "text"; }, {}, never, never>;
}
