export declare type CircularProgressbarStyles = {
    root?: any;
    trail?: any;
    path?: any;
    text?: any;
    background?: any;
};
export declare type CircularProgressbarWrapperProps = {
    background?: boolean;
    backgroundPadding?: number;
    circleRatio?: number;
    classes?: {
        root: string;
        trail: string;
        path: string;
        text: string;
        background: string;
    };
    className?: string;
    counterClockwise?: boolean;
    maxValue?: number;
    minValue?: number;
    strokeWidth?: number;
    styles?: CircularProgressbarStyles;
    text?: string;
    value: number;
};
